Bug 1762879 - QtWayland applications lag for 100ms with backingstore warnings
Summary: QtWayland applications lag for 100ms with backingstore warnings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwayland
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-17 18:01 UTC by John Brooks
Modified: 2019-10-27 01:29 UTC (History)
7 users (show)

Fixed In Version: qt5-qtwayland-5.12.5-2.fc30 qt5-qtwayland-5.12.5-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-27 01:08:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-76813 None None None 2019-10-17 18:01:24 UTC

Description John Brooks 2019-10-17 18:01:24 UTC
Description of problem:
With wayland on Fedora 31, QtQuick applications often emit the warning:

qt.qpa.wayland.backingstore: Delivering update request through fallback timer, may not be in sync with display

This is related to a 100ms freeze in rendering, often at the start of animations, which is very visible as a performance issue. An upstream fix is merged for 5.13; see https://bugreports.qt.io/browse/QTBUG-76813. I do not know if it will be backported to 5.12, but the commit 9f5b9622 applies cleanly.

Version-Release number of selected component (if applicable):
5.12.5, 5.13.1

How reproducible:
Reproducible for all QtQuick applications. Could also apply to other applications.

Steps to Reproduce:
See upstream bug and testcase.

Actual results:
Prints backingstore warning, visible lag at the start of animations.

Expected results:
Smooth, perfectly smooth.

Comment 1 Fedora Update System 2019-10-18 09:13:40 UTC
FEDORA-2019-8bcfa667d4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bcfa667d4

Comment 2 Fedora Update System 2019-10-18 09:13:40 UTC
FEDORA-2019-4f26ba5d4a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4f26ba5d4a

Comment 3 Fedora Update System 2019-10-18 17:36:02 UTC
qt5-qtwayland-5.12.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bcfa667d4

Comment 4 Fedora Update System 2019-10-18 21:00:20 UTC
qt5-qtwayland-5.12.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4f26ba5d4a

Comment 5 Fedora Update System 2019-10-27 01:08:56 UTC
qt5-qtwayland-5.12.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-10-27 01:29:36 UTC
qt5-qtwayland-5.12.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.